import java.awt.*;
import java.awt.event.*;
import java.util.*;
class Employee
{
	private int empno;
	private int mgr;
	private String empname;
	private String desg;
	private String doj;
	private String address;
	private String phone;
	private String email;
	private String dept;
	private int sal;

	public Employee(int empno,int mgr,String empname,String desg,String doj,String address,String phone,String email,String dept,int sal)
	{
		this.empno = empno;
		this.mgr = mgr;
		this.empname = empname;
		this.desg = desg;
		this.doj =  doj;
		this.address = address;
		this.phone = phone;
		this.email = email;
		this.dept = dept;
		this.sal = sal;
	}

/*	public String getEnm(){return empname;}
	public int getEno(){return empno;}
	public String getDept(){return dept;}
	public int getSal(){return sal;}*/

	public String toString()
	{
		return empno+","+mgr+","+empname+","+desg+","+doj+","+address+","+phone+","+email+","+dept+","+sal;
	}
}
class EmpInfo extends MyFrame implements ActionListener
{
	private Panel pnlHeading = new Panel();
	private Label lblHeading = new Label("Employee Information Form");
	private Panel pnlfield = new Panel();
	private Label lblEno = new Label("Employee Number : ");
	private Label lblEnm = new Label("Employee Name : ");
	private Label lblDesg = new Label("Designation : ");
	private Label lblMgr = new Label("Manager : ");
	private Label lblDoj = new Label("Date of Joining : ");
	private Label lblAddress = new Label("Address : ");
	private Label lblPhone = new Label("Phone : ");
	private Label lblEmail = new Label("Email ID : ");
	private Label lblDept = new Label("Department : ");
	private Label lblSal = new Label("Salary : ");
	private TextField txtEno  = new TextField();
	private TextField txtEnm  = new TextField();
	private TextField txtDesg = new TextField();
	private TextField txtMgr  = new TextField();
	private TextField txtDoj = new TextField();
	private TextField txtAddress  = new TextField();
	private TextField txtPhone = new TextField();
	private TextField txtEmail  = new TextField();
	private TextField txtDept = new TextField();
	private TextField txtSal  = new TextField();

	private Button btnAdd = new Button("Add");
	private Button btnCancel = new Button("Cancel");
	private Button btnDelete = new Button("Delete");
	private Button btnUpdate = new Button("Update");
	private Button btnMoveFirst = new Button("First");
	private Button btnMoveLast = new Button("Last");
	private Button btnMoveNext = new Button("Next");
	private Button btnMovePrevious = new Button("Previous");
	private Panel pnlbutton = new Panel();

	ArrayList Emplist = new ArrayList();
	int index=0;
	ListIterator itr;
	public EmpInfo()
	{
		pnlHeading.add(lblHeading);
		this.add("North",pnlHeading);
		pnlfield.setLayout(new GridLayout(10,2,5,5));
		pnlfield.add(lblEno);
		pnlfield.add(txtEno);
		pnlfield.add(lblEnm);
		pnlfield.add(txtEnm);
		pnlfield.add(lblDesg);
		pnlfield.add(txtDesg);
		pnlfield.add(lblMgr);
		pnlfield.add(txtMgr);
		pnlfield.add(lblDoj);
		pnlfield.add(txtDoj);
		pnlfield.add(lblAddress);
		pnlfield.add(txtAddress);
		pnlfield.add(lblPhone);
		pnlfield.add(txtPhone);
		pnlfield.add(lblEmail);
		pnlfield.add(txtEmail);
		pnlfield.add(lblDept);
		pnlfield.add(txtDept);
		pnlfield.add(lblSal);
		pnlfield.add(txtSal);
		this.add("Center",pnlfield);
		
		pnlbutton.setLayout(new GridLayout(2,4,5,5));
		pnlbutton.add(btnAdd);
		pnlbutton.add(btnUpdate);
		pnlbutton.add(btnDelete);
		pnlbutton.add(btnCancel);
		pnlbutton.add(btnMoveFirst);
		pnlbutton.add(btnMovePrevious);
		pnlbutton.add(btnMoveNext);
		pnlbutton.add(btnMoveLast);
		this.add("South",pnlbutton);
		
		btnAdd.addActionListener(this);
		btnUpdate.addActionListener(this);
		btnDelete.addActionListener(this);
		btnCancel.addActionListener(this);
		btnMoveFirst.addActionListener(this);
		btnMoveNext.addActionListener(this);
		btnMovePrevious.addActionListener(this);
		btnMoveLast.addActionListener(this);
		
		itr = Emplist.listIterator();
	}
	
	public void actionPerformed(ActionEvent ae)
	{
/*		if (ae.getSource() == btnAdd)
		{
			Emplist.add(new Employee(
									txtEnm.getText(),
									Integer.parseInt(txtEno.getText()),
									txtDept.getText(),
									Integer.parseInt(txtSal.getText())
									));
			txtEnm.setText("");
			txtEno.setText("");
			txtDept.setText("");
			txtSal.setText("");
			txtEnm.requestFocus();
		}*/

		/*if (ae.getSource() == btnCancel)
		{
			txtEnm.setText("");
			txtEno.setText("");
			txtDept.setText("");
			txtSal.setText("");
			txtEnm.requestFocus();
		}*/

		/*if (ae.getSource() == btnMoveFirst && !Emplist.isEmpty())
		{
			index = 0;
			setFields(index);
		}*/
		
		if (ae.getSource() == btnMoveNext && !Emplist.isEmpty())
		{
			index++;
			if (index >= Emplist.size())
				index = Emplist.size()-1;
//			setFields(index);
/*			if (itr.hasNext())
			{
				index = itr.nextIndex();
				System.out.println(index);
				setFields(index);
			}*/	
		}

		if (ae.getSource() == btnMovePrevious && !Emplist.isEmpty())
		{
			index--;
			if (index < 0)
				index = 0;
//			setFields(index);
/*			if (itr.hasPrevious())
			{
				index = itr.previousIndex();
				System.out.println(index);
				setFields(index);
			}*/
		}
		/*if (ae.getSource() == btnMoveLast && !Emplist.isEmpty())
		{
			index = Emplist.size()-1;
			setFields(index);
		}*/
	}
			
/*	private void setFields(int ind)
	{
		Employee emp = (Employee) Emplist.get(index);
		txtEnm.setText(""+emp.getEnm());
		txtEno.setText(""+emp.getEno());
		txtDept.setText(""+emp.getDept());
		txtSal.setText(""+emp.getSal());
	}*/
	public static void main(String[] args)
	{
		EmpInfo n = new EmpInfo();
		n.setSize(400,400);
		n.setVisible(true);
	}
}
